## lusernet.app 0.4.2

=== debian/changelog ===
lusernet.app (0.4.2-7build4) bionic; urgency=medium

  * No-change rebuild for gnustep-gui soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 30 Jan 2018 05:47:23 +0000

lusernet.app (0.4.2-7build3) bionic; urgency=medium

  * No-change rebuild for gnustep-base soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Nov 2017 08:26:02 +0000

lusernet.app (0.4.2-7build2) yakkety; urgency=medium

  * No-change rebuild for gnustep-gui 0.25

 -- Matthias Klose <doko@ubuntu.com>  Thu, 01 Sep 2016 21:11:55 +0000

lusernet.app (0.4.2-7build1) utopic; urgency=medium

  * Rebuild against libgnustep-gui0.24.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 28 Aug 2014 11:17:03 -0700

lusernet.app (0.4.2-7) unstable; urgency=medium

  * Ack NMU, thanks Colin Watson.
  * debian/source/format: Switch to 3.0 (quilt).
  * debian/control (Build-Depends): Remove dpatch.
    (Vcs-Arch): Replace with Vcs-Git and Vcs-Browser.
    (Homepage): Remove; not accessible.
    (Standards-Version): Compliant with 3.9.5 as of this release.
  * debian/rules: Don't include dpatch.mk.  Enable hardening.
    (clean): Merge the clean-patched recipe here.
    (build-arch, build-indep): New targets as required by Policy.
  * debian/patches/00list:
  * debian/patches/05_pantomime1.2.dpatch:
  * debian/patches/07_missing-includes.dpatch:
  * debian/patches/10_mark_string_as_translatable.dpatch:
  * debian/patches/20_bg_translation.dpatch:
  * debian/patches/30_link_order.dpatch:
  * debian/patches/40_modern_objc_api.dpatch: Rename/quiltify as...
  * debian/patches/series:
  * debian/patches/pantomime1.2.patch:
  * debian/patches/missing-includes.patch:
  * debian/patches/mark-string-as-translatable.patch:
  * debian/patches/bg-translation.patch:
  * debian/patches/link-order.patch:
  * debian/patches/modern-objc-api.patch: ...and add DEP-3 headers.
  * debian/patches/gcc-warnings.patch: New (Closes: #749758).
  * debian/README.source: Delete.
  * debian/watch: Update for the new upstream location, even though
    there's no release yet.
  * debian/LuserNET.desktop: Add Keywords field.
  * debian/copyright: Switch to format 1.0.

 -- Yavor Doganov <yavor@gnu.org>  Wed, 11 Jun 2014 03:38:26 +0300

lusernet.app (0.4.2-6.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/30_link_order.dpatch: Fix link order with 'ld
    --as-needed' (closes: #633556, LP: #771011).
  * debian/patches/40_modern_objc_api.dpatch: Use the modern GNU Objective-C
    API (closes: #633557).

 -- Colin Watson <cjwatson@debian.org>  Mon, 03 Jun 2013 18:22:12 +0100

lusernet.app (0.4.2-6) unstable; urgency=medium

  * debian/patches/07_missing-includes.dpatch: Update to fix FTBFS with
    gnustep-base/1.20.1 (Closes: #593048). 
  * debian/control (Standards-Version): Set to 3.9.1 (no changes needed).

 -- Yavor Doganov <yavor@gnu.org>  Tue, 24 Aug 2010 18:39:30 +0300

lusernet.app (0.4.2-5) unstable; urgency=low

  * debian/patches/07_missing-includes.dpatch: Simplify a bit and fix
    FTBFS with gnustep-base/1.20.0 (Closes: #581956).
  * debian/compat: Set to 7.
  * debian/control (Build-Depends): Bump debhelper accordingly.  Remove
    version requirement for libgnustep-gui-dev.
    (Section): Change to `gnustep'.
    (Depends): Add ${gnustep:Depends}.
    (Description): Extend.
    (Standards-Version): Compliant to 3.8.4 as of this release.
    (Vcs-Arch): New field.
  * debian/LuserNET.desktop: Set version to 1.0.
  * debian/rules: Export GNUSTEP_MAKEFILES and remove gs_make usage.
    (OBJCFLAGS): Do not define; use debug=yes conditionally.
    (install): Replace dh_clean -k with dh_prep.
  * debian/source/format:
  * debian/README.source:
  * debian/watch: New file.

 -- Yavor Doganov <yavor@gnu.org>  Wed, 19 May 2010 10:42:03 +0300

lusernet.app (0.4.2-4) unstable; urgency=low

  * debian/control (Section): Set to `news' to match the override file.
    (Maintainer): Adopt package; set to the GNUstep team (Closes:
    #454274).
    (Uploaders): Change my email address.
    (Build-Depends): Wrap all dependencies and bump libgnustep-gui-dev to
    >= 0.14.
    (Standards-Version): Package is compliant to 3.8.0 (no changes
    needed).
    (Conflicts, Replaces): Remove; not needed for the upgrade from Etch.
  * debian/rules: Do not indent the make conditional.
    (d_app): Define for convenience.
    (LDFLAGS): Define to -Wl,-z,defs -Wl,--as-needed.
    (build-stamp): Use gs_make and LDFLAGS.  Pass ADDITIONAL_OBJCFLAGS
    instead of OBJCFLAGS to make `noopt' DTRT.
    (clean): Likewise.  Move the commands to the `clean-patched' rule and
    reorder the prerequisites.
    (install): Use $(d_app) for DESTDIR and use gs_make directly.
    (binary-arch): Adjust the conditional to check for GS_USE_FHS.
  * debian/patches/07_missing-includes.dpatch: New, fixes FTBFS with the
    current core libraries (Closes: #489696).
  * debian/patches/05_pantomime1.2.dpach: Make viewing and posting
    articles work again following changes in the Pantomime decoding
    engine; previous NSString instances are always NSData instances now.
    (Closes: #489879).
  * debian/patches/00list: Update.

 -- Yavor Doganov <yavor@gnu.org>  Wed, 09 Jul 2008 20:20:58 +0300

lusernet.app (0.4.2-3) unstable; urgency=low

  * debian/control (Build-Depends): Use versioned dependency on
    libgnustep-gui-dev (>= 0.12.0).  Removed gnustep-make; it is always
    pulled in by libgnustep-base-dev.
    (Section): Moved to `net' where it belongs.
    (Depends): Added ${misc:Depends}.
    (Description): Moved Homepage...
    (Homepage): ...to its own field, now supported by dpkg.
  * debian/rules (CFLAGS): Removed, upstream's flags are sane.
    (OBJCFLAGS): Set conditionally and pass optimization flag to $(MAKE).
    (build-stamp, clean, install): Do not source GNUstep.sh, use
    GNUSTEP_MAKEFILES instead.
    (clean): Invoke $(MAKE) distclean only when $(GS_MAKE_DIR) is
    defined.
    (install): Use the standard variable DESTDIR and

