=== debian/control ===
Source: lusernet.app
Section: gnustep
Priority: optional
Maintainer: Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>
Uploaders: Yavor Doganov <yavor@gnu.org>
Build-Depends: debhelper (>= 7),
	       libgnustep-gui-dev,
	       libpantomime1.2-dev,
	       imagemagick
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/pkg-gnustep/lusernet.app.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-gnustep/lusernet.app.git

Package: lusernet.app
Architecture: any
Depends: ${shlibs:Depends},
	 ${misc:Depends},
	 ${gnustep:Depends}
Provides: news-reader
Description: News reader for GNUstep
 LuserNET is an NNTP based news reader for GNUstep.  Although it's at
 an early version, it's already quite usable.  The following features
 are available:
 .
  * Coloring of messages based on quoting depth.
  * Background read-ahead.
  * Intelligent scrolling.
  * Handles multiple servers.
  * Completely asynchronous.
  * Good MIME conformance and handling.
