=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/GNUstep/debian/config.mk
include /usr/share/dpkg/buildflags.mk

export GNUSTEP_MAKEFILES := $(GS_MAKE_DIR)

d_app := $(CURDIR)/debian/lusernet.app
LDFLAGS += -Wl,-z,defs -Wl,--as-needed
TIFFICON = News.app.tiff
XPMICON = $(TIFFICON:.tiff=.xpm)

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
optim := debug=yes
endif

build: build-arch build-indep

build-arch: build-stamp

build-stamp: 
	dh_testdir
	$(MAKE) $(optim) CPPFLAGS="$(CPPFLAGS)" OBJCFLAGS="$(CFLAGS)" \
	  LDFLAGS="$(LDFLAGS)" messages=yes
	convert $(TIFFICON) -resize 32x32 xpm:$(XPMICON)
	touch build-stamp

build-indep: ;

clean:
	dh_testdir
	dh_testroot
	$(RM) $(XPMICON)
	$(MAKE) distclean
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	$(MAKE) install DESTDIR=$(d_app) GNUSTEP_INSTALLATION_DOMAIN=SYSTEM
	rm $(CURDIR)/debian/*.app/usr/lib/GNUstep/Applications/*.app/Resources/*.desktop
	install -D -m 644 debian/LuserNET.desktop \
	  $(d_app)/usr/share/applications/LuserNET.desktop


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	mv $(d_app)/usr/share/doc/lusernet.app/Changes \
	   $(d_app)/usr/share/doc/lusernet.app/changelog.old
	gsdh_gnustep
	dh_install $(XPMICON) /usr/share/pixmaps
	dh_installmenu
	dh_installman
ifeq ($(GS_USE_FHS),yes)
	dh_installdirs usr/share/GNUstep
	mv $(d_app)$(GNUSTEP_SYSTEM_APPS)/LuserNET.app/Resources \
	   $(d_app)/usr/share/GNUstep/LuserNET.app
	dh_link usr/share/GNUstep/LuserNET.app \
	  $(GNUSTEP_SYSTEM_APPS)/LuserNET.app/Resources
endif
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
