## lusernet.app 0.4.3

=== debian/changelog ===
lusernet.app (0.4.3-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Update standards version to 4.6.0, no changes needed.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

  [ Yavor Doganov ]
  * Run wrap-and-sort -ast.
  * debian/control (Build-Depends): Bump gnustep-make requirement to (>=
    2.9.2-2) for dh_gnustep's --app option.  Add imagemagick for the app
    icon conversion.  Add dpkg-build-api (= 1).
    (Standards-Version): Bump to 4.7.0; no changes needed.
  * debian/rules (override_dh_link): Rename as...
    (exectute_before_dh_link): ...and run dh_gnustep --app.
    (override_dh_auto_build): Create a PNG icon to fix an AppStream error.
  * debian/install: New file; install the .desktop file and the PNG icon.
  * debian/clean: New file; delete the PNG icon.
  * debian/LuserNET.desktop (Icon): Use the PNG icon.
  * debian/copyright: Add Upstream-Contact; update copyright years.
  * debian/gbp.conf: New file.

 -- Yavor Doganov <yavor@gnu.org>  Fri, 04 Oct 2024 00:40:31 +0300

lusernet.app (0.4.3-1) unstable; urgency=medium

  * New upstream release.
  * Remove patches applied upstream:
    - missing-includes.patch;
    - link-order.patch;
    - modern-objc-api.patch.
  * debian/patches/pantomime1.2.patch: Remove most hunks which were
    applied upstream.  Retain only two which were skipped but are still
    important; see #489879.  Fix memory leaks there.
  * debian/patches/gcc-warnings.patch: Remove hunks applied upstream; fix
    another warning.
  * debian/patches/spelling-fixes.patch: New; self-explanatory.
  * debian/patches/no-crypto.patch: New; don't link with libcrypto.
  * debian/patches/series: Update:
  * debian/menu: Delete as per current Policy requirement.
  * debian/compat: Bump to 12.
  * debian/control (Build-Depends): Drop imagemagick.  Replace
    libpantomime1.2-dev with libpantomime-dev.  Bump debhelper requirement
    to match the compat level.  Add gnustep-make >= 2.7.0-4 for proper
    support for "terse" in DEB_BUILD_OPTIONS.
    (Depends): Drop $(gnustep:Depends}; obsolete.
    (Homepage): Set to the GNUstep wiki article.
    (Vcs-Git, Vcs-Browser): Update following the migration to Salsa.
    (Standards-Version): Claim compliance with 4.3.0 as of this release.
  * debian/rules: Don't convert and install an .xpm icon for the menu.
    Switch to modern dh; enable all hardening.  Install upstream Changes
    file as NEWS as it contains user-visible changes.
  * debian/watch: Switch to Savannah.
  * debian/changelog: Whitespace cleanup.
  * debian/copyright: Add copyright/license notice for the icon; thanks
    Paul Gevers.  Update copyright years; add more copyright holders.
    Switch to HTTPS; update source location.

 -- Yavor Doganov <yavor@gnu.org>  Fri, 25 Jan 2019 10:13:43 +0200
