=== debian/control ===
Source: lusernet.app
Section: gnustep
Priority: optional
Maintainer: Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>
Uploaders:
 Yavor Doganov <yavor@gnu.org>,
Build-Depends:
 debhelper-compat (= 13),
 dpkg-build-api (= 1),
 gnustep-make (>= 2.9.2-2),
 imagemagick,
 libgnustep-gui-dev,
 libpantomime-dev,
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/gnustep-team/lusernet.app.git
Vcs-Browser: https://salsa.debian.org/gnustep-team/lusernet.app
Homepage: http://wiki.gnustep.org/index.php/LuserNET.app

Package: lusernet.app
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 news-reader,
Description: News reader for GNUstep
 LuserNET is an NNTP based news reader for GNUstep.  Although it's at
 an early version, it's already quite usable.  The following features
 are available:
 .
  * Coloring of messages based on quoting depth.
  * Background read-ahead.
  * Intelligent scrolling.
  * Handles multiple servers.
  * Completely asynchronous.
  * Good MIME conformance and handling.
