=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

include /usr/share/GNUstep/debian/config.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--no-undefined
d_app := $(CURDIR)/debian/lusernet.app

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- $(verbose) $(optim) \
	  $(shell dpkg-buildflags --export=cmdline)
	convert News.app.tiff -resize 64x64 LuserNET.png

override_dh_installdocs:
	dh_installdocs
	mv $(d_app)/usr/share/doc/lusernet.app/Changes \
	   $(d_app)/usr/share/doc/lusernet.app/NEWS

execute_before_dh_link:
	gsdh_gnustep --app
